### Method

# EBackend Backend ref_connectable

since: 3.8

#### Declaration [src]

    GSocketConnectable*
    e_backend_ref_connectable (
      EBackend* backend
    )

#### Description [src]

Returns the socket endpoint for the network service to which `backend` is a client, or `NULL` if `backend` does not use network sockets.

The initial value of the `EBackend:connectable` property is derived from the `ESourceAuthentication` extension of the `backend`‘s `EBackend:source` property, if the extension is present.

The returned `GSocketConnectable` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `GSocketConnectable`

A `GSocketConnectable`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.